transport

A network channel supporting an AMQP connection. More...

`#include <transport.hpp>`

Inherits object< pn_transport_t >.

## Public Member Functions

| transport ()
| Create an empty transport.
class connection | connection () const
| Get the connection associated with this transport.
class ssl | ssl () const
| Get SSL information.
class sasl | sasl () const
| Get SASL information.
class error_condition | error () const
| Get the error condition.

## Detailed Description

A network channel supporting an AMQP connection.

Examples:
  broker.cpp, broker.hpp, direct_send.cpp, mt/broker.cpp, and simple_send.cpp.

The documentation for this class was generated from the following file:

- proton/transport.hpp